Skip to main content

Create Resident Payment: Rentvine

POSThttps://api.propexo.com/v1/resident-payments/rentvine/

Rentvine only allows primary residents to have payments assigned to them. This can be seen in the residents_meta_data or leases_meta_data API fields on their resident_type_normalized field. This field must be set to PRIMARY.

MethodInterface
POST /api/manager/accounting/leases/{leaseID}/paymentsAccounting
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account. This must be a bank account

    resident_idstringrequired

    The Propexo unique identifier for the resident. The resident must be a primary.

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    Possible values: > 0

    payment_typestringrequired

    The type of payment used for the resident payment

    Show 8 enum values
    ACHCREDIT/DEBIT_CARDCHECKMONEY_ORDERCASHOTHERCASH_PAYCASHIER_CHECK
    transaction_datestringrequired

    The transaction date of the resident payment

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    send_email_receiptbooleanrequired

    Indicates whether the payee would like to have a receipt emailed

    descriptionstring

    Description of the resident payment

    reference_numberstring

    The reference number for the resident payment

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account. This must be a bank account

    resident_idstringrequired

    The Propexo unique identifier for the resident. The resident must be a primary.

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    Possible values: > 0

    payment_typestringrequired

    The type of payment used for the resident payment

    Show 8 enum values
    ACHCREDIT/DEBIT_CARDCHECKMONEY_ORDERCASHOTHERCASH_PAYCASHIER_CHECK
    transaction_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    send_email_receiptbooleanrequired

    Indicates whether the payee would like to have a receipt emailed

    descriptionstring | nullnullablerequired

    Description of the resident payment

    reference_numberstring | nullnullablerequired

    The reference number for the resident payment

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/rentvine/
curl -X POST https://api.propexo.com/v1/resident-payments/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"resident_id": "string",
"amount_in_cents": 0,
"payment_type": "ACH",
"transaction_date": "2024-07-29T15:51:28.071Z",
"send_email_receipt": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"resident_id": "string",
"amount_in_cents": 0,
"payment_type": "ACH",
"transaction_date": "2024-07-29T15:51:28.071Z",
"send_email_receipt": true,
"description": "string",
"reference_number": "string"
}
}